diff -ru dal4.4.10/Config dal4.4.10.fixres1/Config
--- dal4.4.10/Config	Mon May  5 20:18:18 1997
+++ dal4.4.10.fixres1/Config	Mon May 12 04:09:14 1997
@@ -55,6 +55,9 @@
 NOSPOOF="1"
 NOSPOOF_SEED01="0x12345678"
 NOSPOOF_SEED02="0x9abcdef0"
+FIXED_RES_INFO="0"
+FIXED_RES_RESOLVER="127.0.0.1"
+FIXED_RES_DOMAIN="dal.net"
 DPATH="/usr/local/lib/ircd"
 SPATH="/usr/local/bin/ircd"
 HUB=""
@@ -1034,6 +1037,88 @@
 # this matches a NOSPOOF check waaaaaay up there
 fi
 
+FOO=""
+runonce=""
+while [ -z "$FOO" ] ; do
+    if [ -n "$FIXED_RES_INFO" ] ; then
+	FOO="Yes"
+    else
+	FOO="No"
+    fi
+    echo ""
+    echo "Some systems have default name servers set up which are succeptable"
+    echo "to spoofing, causing a security hole in ircd.  If you have such"
+    echo "a system, you may override the values in resolv.conf here."
+    echo "Do you wish to use a different resolver from the system one?"
+    echo $n "[$FOO] -> $c"
+    if [ -z "$AUTO_CONFIG" -o -n "$runonce" ] ; then
+	read cc
+	runonce=Yes
+    else
+	cc=""
+    fi
+    if [ -z "$cc" ] ; then
+	cc=$FOO
+    fi
+    case "$cc" in
+	[Yy]*)
+	    FIXED_RES_INFO="1"
+	    ;;
+	[Nn]*)
+	    FIXED_RES_INFO=""
+	    ;;
+	*)
+	    echo ""
+	    echo "You need to enter either Yes or No here..."
+	    echo ""
+	    FOO=""
+	    ;;
+    esac
+done
+
+if [ -n "$FIXED_RES_INFO" ] ; then
+
+FOO=""
+runonce=""
+while [ -z "$FOO" ] ; do
+    FOO="$FIXED_RES_DOMAIN"
+    echo "You have selected to bypass resolv.conf.  Enter a default domain"
+    echo "name for resolving."
+    echo $n "[$FOO] -> $c"
+    if [ -z "$AUTO_CONFIG" -o -n "$runonce" ] ; then
+	read cc
+	runonce=Yes
+    else
+	cc=""
+    fi
+    if [ -z "$cc" ] ; then
+	cc=$FOO
+    fi
+    FIXED_RES_DOMAIN=$cc;
+done
+
+FOO=""
+runonce=""
+while [ -z "$FOO" ] ; do
+    FOO="$FIXED_RES_RESOLVER"
+    echo "Now enter the name server IP address (MUST be numeric!) you wish to use."
+    echo $n "[$FOO] -> $c"
+    if [ -z "$AUTO_CONFIG" -o -n "$runonce" ] ; then
+	read cc
+	runonce=Yes
+    else
+	cc=""
+    fi
+    if [ -z "$cc" ] ; then
+	cc=$FOO
+    fi
+    FIXED_RES_RESOLVER=$cc
+done
+
+# this matches a FIXED_RES check waaaaaay up there
+fi
+
+
 
 FOO=""
 runonce=""
@@ -1614,6 +1699,21 @@
 if [ -n "$NOSPOOF_SEED02" ] ; then
     echo "#define NOSPOOF_SEED02 $NOSPOOF_SEED02" >> $OPTIONS_H
 fi
+if [ -n "$FIXED_RES_INFO" ] ; then
+    echo "#define FIXED_RES_INFO 1" >> $OPTIONS_H
+else
+    echo "#undef FIXED_RES_INFO" >> $OPTIONS_H
+fi
+if [ -n "$FIXED_RES_INFO" ] ; then
+    echo "#define FIXED_RES_DOMAIN $FIXED_RES_DOMAIN" >> $OPTIONS_H
+else
+    echo "#undef FIXED_RES_DOMAIN" >> $OPTIONS_H
+fi
+if [ -n "$FIXED_RES_INFO" ] ; then
+    echo "#define FIXED_RES_RESOLVER $FIXED_RES_RESOLVER" >> $OPTIONS_H
+else
+    echo "#undef FIXED_RES_RESOLVER" >> $OPTIONS_H
+fi
 if [ -n "$OPER_DIE" ] ; then
     echo "#define OPER_DIE 1" >> $OPTIONS_H
 else
@@ -1657,6 +1757,9 @@
 NOSPOOF="$NOSPOOF"
 NOSPOOF_SEED01="$NOSPOOF_SEED01"
 NOSPOOF_SEED02="$NOSPOOF_SEED02"
+FIXED_RES_INFO="$FIXED_RES_INFO"
+FIXED_RES_DOMAIN="$FIXED_RES_DOMAIN"
+FIXED_RES_RESOLVER="$FIXED_RES_RESOLVER"
 DPATH="$DPATH"
 SPATH="$SPATH"
 HUB="$HUB"
diff -ru dal4.4.10/include/patchlevel.h dal4.4.10.fixres1/include/patchlevel.h
--- dal4.4.10/include/patchlevel.h	Mon May  5 19:54:17 1997
+++ dal4.4.10.fixres1/include/patchlevel.h	Mon May 12 04:09:35 1997
@@ -39,7 +39,7 @@
 		\
 		\
 		\
-		""
+		".fixres1"
 
 /*
  * Deliberate empty lines
diff -ru dal4.4.10/src/res_init.c dal4.4.10.fixres1/src/res_init.c
--- dal4.4.10/src/res_init.c	Mon Nov 18 02:53:42 1996
+++ dal4.4.10.fixres1/src/res_init.c	Mon May 12 04:09:37 1997
@@ -79,6 +79,18 @@
 		haveenv++;
 	}
 
+#ifdef FIXED_RES_INFO
+	strncpy (_res.defdname,FIXED_RES_DOMAIN);
+	nserv=0;
+	_res.nsaddr_list[nserv].sin_addr.s_addr = inet_addr(FIXED_RES_RESOLVER));
+	_res.nsaddr_list[nserv].sin_family = AF_INET;
+#ifdef TESTNET
+	_res.nsaddr_list[nserv].sin_port = htons(NAMESERVER_PORT +
+						 10000);
+#else /* TESTNET */
+	_res.nsaddr_list[nserv].sin_port = htons(NAMESERVER_PORT);
+#endif /* TESTNET */
+#else /*FIXED_RES_INFO */
 	if ((fp = fopen(_PATH_RESCONF, "r")) != NULL) {
 	    /* read the config file */
 	    while (fgets(buf, sizeof(buf), fp) != NULL) {
@@ -184,6 +196,7 @@
 		_res.nscount = nserv;
 	    (void) fclose(fp);
 	}
+#endif /* FIXED_RES_INFO */
 	if (_res.defdname[0] == 0) {
 		if (gethostname(buf, sizeof(_res.defdname)) == 0 &&
 		   (cp = index(buf, '.')))
